ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Utils.Encoding

Contents

- UTF-8
- Z-encoding
- Base62-encoding

Synopsis

- module GHC.Utils.Encoding.UTF8
- type UserString = String
- type EncodedString = String
- zEncodeString :: UserString -> EncodedString
- zDecodeString :: EncodedString -> UserString
- toBase62 :: Word64 -> String
- toBase62Padded :: Word64 -> String

# UTF-8

module GHC.Utils.Encoding.UTF8

# Z-encoding

type UserString = String Source #

type EncodedString = String Source #

zEncodeString :: UserString -> EncodedString Source #

zDecodeString :: EncodedString -> UserString Source #

# Base62-encoding

toBase62 :: Word64 -> String Source #

toBase62Padded :: Word64 -> String Source #

Converts a 64-bit word into a base-62 string